Bug 1567626 - SELinux is preventing snap-seccomp from 'open' accesses on the file /var/lib/sss/mc/passwd.
Summary: SELinux is preventing snap-seccomp from 'open' accesses on the file /var/lib/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4fee4a55ed0da18071976f2c1cf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 15:33 UTC by Checho Molinero
Modified: 2018-09-06 02:31 UTC (History)
7 users (show)

Fixed In Version: snapd-2.35-1.fc28 snapd-2.35-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:55:45 UTC
Type: ---


Attachments (Terms of Use)

Description Checho Molinero 2018-04-15 15:33:13 UTC
Description of problem:
SELinux is preventing snap-seccomp from 'open' accesses on the file /var/lib/sss/mc/passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that snap-seccomp should be allowed open access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'snap-seccomp' --raw | audit2allow -M my-snapseccomp
# semodule -X 300 -i my-snapseccomp.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                /var/lib/sss/mc/passwd [ file ]
Source                        snap-seccomp
Source Path                   snap-seccomp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-common-1.16.1-2.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.15-300.fc27.x86_64 #1 SMP Mon
                              Apr 2 23:14:02 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-04-15 09:15:41 -03
Last Seen                     2018-04-15 09:15:41 -03
Local ID                      5eafef99-ea5b-4723-a356-5cb607abf80b

Raw Audit Messages
type=AVC msg=audit(1523794541.177:250): avc:  denied  { open } for  pid=2185 comm="snap-seccomp" path="/var/lib/sss/mc/passwd" dev="sda6" ino=1049027 scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file permissive=1


Hash: snap-seccomp,snappy_t,sssd_public_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-283.30.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.15-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-08-25 21:43:09 UTC
snapd-glib-1.43-1.fc28 snapd-2.35-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d4624b7af

Comment 2 Fedora Update System 2018-08-25 21:44:23 UTC
snapd-glib-1.43-1.fc27 snapd-2.35-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-14918a503a

Comment 3 Fedora Update System 2018-08-26 22:51:43 UTC
snapd-2.35-1.fc27, snapd-glib-1.43-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-14918a503a

Comment 4 Fedora Update System 2018-08-27 00:26:29 UTC
snapd-2.35-1.fc28, snapd-glib-1.43-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d4624b7af

Comment 5 Fedora Update System 2018-08-30 04:55:45 UTC
snapd-2.35-1.fc28, snapd-glib-1.43-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-09-06 02:31:07 UTC
snapd-2.35-1.fc27, snapd-glib-1.43-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.